"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotMatches = exports.NOT_MATCHES = void 0;
const class_validator_1 = require("class-validator");
const not_matches_predicate_1 = require("./not-matches.predicate");
/** @hidden */
exports.NOT_MATCHES = 'notMatches';
function NotMatches(pattern, modifiersOrOptions, options) {
    let modifiers;
    if (modifiersOrOptions && modifiersOrOptions instanceof Object && !options) {
        options = modifiersOrOptions;
    }
    else {
        modifiers = modifiersOrOptions;
    }
    return (0, class_validator_1.ValidateBy)({
        name: exports.NOT_MATCHES,
        constraints: [pattern, modifiers],
        validator: {
            validate: (value, arguments_) => (0, not_matches_predicate_1.notMatches)(value, 
            // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
            /* istanbul ignore next */ arguments_ === null || arguments_ === void 0 ? void 0 : arguments_.constraints[0], 
            // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
            /* istanbul ignore next */ arguments_ === null || arguments_ === void 0 ? void 0 : arguments_.constraints[1]),
            defaultMessage: (0, class_validator_1.buildMessage)(eachPrefix => `${eachPrefix}$property must not match $constraint1 regular expression`, options),
        },
    }, options);
}
exports.NotMatches = NotMatches;
