import type { ValidationOptions } from 'class-validator';
/** @hidden */
export declare const IS_NULL = "isNull";
/**
 * Checks if the given value is `null`.
 *
 * #### Example
 * ```typescript
 * // Ensure the value is null (but not undefined).
 * @IsNull()
 * value: null
 * ```
 *
 * @category Type
 * @param options Generic class-validator options.
 */
export declare function IsNull(options?: ValidationOptions): PropertyDecorator;
